// ILSetup.cpp : implementation of the CILSetup class.
//

#include "stdafx.h"
#include "ilvideo80.h"
#include "ILSetup.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CILSetup dialog

CILSetup::CILSetup(LPCTSTR lpszAddrOut, UINT uPortOut, UINT uPortIn, CWnd* pParent /*=NULL*/)
	: m_strAddrOut(lpszAddrOut), m_uPortOut(uPortOut), m_uPortIn(uPortIn), CDialog(CILSetup::IDD, pParent)
{
	//{{AFX_DATA_INIT(CILSetup)
	//}}AFX_DATA_INIT
}

void CILSetup::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CILSetup)
	DDX_Text(pDX, IDC_ADDR_OUT, m_strAddrOut);
	DDX_Text(pDX, IDC_PORT_OUT, m_uPortOut);
	DDX_Text(pDX, IDC_PORT_IN, m_uPortIn);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CILSetup, CDialog)
	//{{AFX_MSG_MAP(CILSetup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CILSetup message handlers

VOID CILSetup::GetData(CString& strAddrOut, UINT& uPortOut, UINT& uPortIn)
{
	strAddrOut = m_strAddrOut;
	uPortOut   = m_uPortOut;
	uPortIn    = m_uPortIn;
	return;
}
